<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class ChapterLog extends Model
{
    public static function table()
    {
        return 'ig_chapterlog';
    }

	public static function single($className = __CLASS__)
	{
		if (!isset(self::$_self[$className]))
		{
			self::$_self[$className] = new $className;
		}

		return self::$_self[$className];
	}

    public function create($bookId, $chapterId, $type)
    {
        $sql = 'REPLACE INTO '.self::table()." SET bid={$bookId},cid={$chapterId},type={$type},`date`='".CDATE."'";
        $this->Db()->query($sql);
    }
}
